From: Carsten Schoenert <c.schoenert@t-online.de>
Date: Sun, 14 Oct 2018 08:57:34 +0200
Subject: examples/Makefile.am: create DTLS specific binary names

The functionality of the example binaries are hard depending on usage of
DTLS functions and the used library for that. Adding a dynamically
handling for the final used binary name.
---
 examples/Makefile.am | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

diff --git a/examples/Makefile.am b/examples/Makefile.am
index c0fa3a4..023e71a 100644
--- a/examples/Makefile.am
+++ b/examples/Makefile.am
@@ -1,6 +1,6 @@
 # examples/Makefile.am
 #
-# Copyright (C)      2015 Carsten Schoenert <c.schoenert@t-online.de>
+# Copyright (C) 2015-2018 Carsten Schoenert <c.schoenert@t-online.de>
 #
 # This file is part of the CoAP C library libcoap. Please see README and
 # COPYING for terms of use.
@@ -13,18 +13,20 @@ AM_CFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include \
             -I$(top_srcdir)/include/coap$(LIBCOAP_API_VERSION) \
             $(WARNING_CFLAGS) $(DTLS_CFLAGS) -std=c99
 
-#
-bin_PROGRAMS = coap-client coap-server coap-rd
+bin_PROGRAMS = \
+ coap-client@LIBCOAP_DTLS_LIB_EXTENSION_NAME@ \
+ coap-server@LIBCOAP_DTLS_LIB_EXTENSION_NAME@ \
+ coap-rd@LIBCOAP_DTLS_LIB_EXTENSION_NAME@
 check_PROGRAMS = coap-etsi_iot_01 coap-tiny
 
-coap_client_SOURCES = client.c
-coap_client_LDADD =  $(top_builddir)/.libs/libcoap-$(LIBCOAP_NAME_SUFFIX).la
+coap_client@LIBCOAP_DTLS_LIB_EXTENSION_NAME@_SOURCES = client.c
+coap_client@LIBCOAP_DTLS_LIB_EXTENSION_NAME@_LDADD = $(top_builddir)/.libs/libcoap-$(LIBCOAP_NAME_SUFFIX).la
 
-coap_server_SOURCES = coap-server.c
-coap_server_LDADD = $(top_builddir)/.libs/libcoap-$(LIBCOAP_NAME_SUFFIX).la
+coap_server@LIBCOAP_DTLS_LIB_EXTENSION_NAME@_SOURCES = coap-server.c
+coap_server@LIBCOAP_DTLS_LIB_EXTENSION_NAME@_LDADD = $(top_builddir)/.libs/libcoap-$(LIBCOAP_NAME_SUFFIX).la
 
-coap_rd_SOURCES = coap-rd.c
-coap_rd_LDADD = $(top_builddir)/.libs/libcoap-$(LIBCOAP_NAME_SUFFIX).la
+coap_rd@LIBCOAP_DTLS_LIB_EXTENSION_NAME@_SOURCES = coap-rd.c
+coap_rd@LIBCOAP_DTLS_LIB_EXTENSION_NAME@_LDADD = $(top_builddir)/.libs/libcoap-$(LIBCOAP_NAME_SUFFIX).la
 
 coap_etsi_iot_01_SOURCES = etsi_iot_01.c
 coap_etsi_iot_01_LDADD = $(DTLS_LIBS) $(top_builddir)/.libs/libcoap-$(LIBCOAP_NAME_SUFFIX).la
